package com.community.huiju.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.commom.constant.Constant;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.common.base.BaseController;
import com.community.huiju.model.User;
import com.community.huiju.service.IUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;

/**
 * <p>
 * 物业web端用户表 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2018-12-18
 */
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "物业端用户API", description = "物业端用户API")
public class UserController extends BaseController {
	
	@Autowired
	private IUserService userService;
	
	@ApiOperation(value = "获取用户列表",nickname = "获取用户信息")
	@ApiImplicitParams({
			//@ApiImplicitParam(paramType = "header",dataType = "String",name = "X-Auth-Token",value = "Token"),
	})
	@RequestMapping(value = "/users",method = RequestMethod.GET)
	public ResponseBean getInfo(HttpSession session) {
		ResponseBean response = new ResponseBean();
		//response.addSuccess(userService.list());
		Page a = new Page(1,10);
		response.addSuccess(userService.page(a));
		return response;
	}
}
